summaryrefslogtreecommitdiffstats
path: root/recipes/llvm/llvm-common
diff options
context:
space:
mode:
authorRobert Schuster <thebohemian@gmx.net>2009-03-31 11:51:10 +0200
committerRobert Schuster <thebohemian@gmx.net>2009-03-31 11:55:05 +0200
commit8db75a24a2f7d0af4bac46e69535733a203226c2 (patch)
tree8c34f03d1828b2be5f725eaa220ce7aca7f54675 /recipes/llvm/llvm-common
parent7ac3d6c5fa717dbd30b523e2259f20ced8d0f253 (diff)
downloadopenembedded-8db75a24a2f7d0af4bac46e69535733a203226c2.tar.gz
llvm: Reworked to allow multiple installation of same version.
- introduced common include file - provided implementation for llvm 2.5 - added wrapper script and its build recipe - the same for native side llvm2.5 2.5: New recipe llvm2.5-native 2.5: New recipe. llvm-common: New recipe. llvm-common-native: New recipe.
Diffstat (limited to 'recipes/llvm/llvm-common')
-rw-r--r--recipes/llvm/llvm-common/llvm-config10
1 files changed, 10 insertions, 0 deletions
diff --git a/recipes/llvm/llvm-common/llvm-config b/recipes/llvm/llvm-common/llvm-config
new file mode 100644
index 0000000000..5256b8cd06
--- /dev/null
+++ b/recipes/llvm/llvm-common/llvm-config
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Wrapper script for real llvm-config. Simply calls
+
+if [ $WANT_LLVM_RELEASE ]; then
+ exec `dirname $0`/llvm-config$WANT_LLVM_RELEASE ${@}
+else
+ echo "The variable WANT_LLVM_RELEASE is not defined and exported"
+ echo "by your build recipe. Go figure."
+ exit 1
+fi